# Class Pixel1dPlotter.BinArray

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.Pixel1dPlotter.BinArray

Enclosing class:
  `Pixel1dPlotter<S extends Style>`

public static class Pixel1dPlotter.BinArray extends Object
Data object storing counts per pixel.

Since:
  20 Feb 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`int`
`getBinIndex(int gx)`
Returns the bin index (index into this object's `bins_` array) for a given pixel index.
`double[]`
`getBins()`
Returns the array of pixel-width bins containing the counts accumulated by this object.
`int`
`getGraphicsCoord(int index)`
Returns the pixel index for a given bin index.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getBins

public double[] getBins()
Returns the array of pixel-width bins containing the counts accumulated by this object.

Returns:
  array of count values, one per pixel

### getBinIndex

public int getBinIndex(int gx)
Returns the bin index (index into this object's `bins_` array) for a given pixel index.

Parameters:
  `gx` - pixel index
Returns:
  bin index

### getGraphicsCoord

public int getGraphicsCoord(int index)
Returns the pixel index for a given bin index.

Parameters:
  `index` - bin index
Returns:
  pixel index